##
##  dvdrw-tools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dvdrw-tools
Summary:      Toolchain For Mastering Recordable DVD Media
URL:          http://fy.chalmers.se/~appro/linux/DVD+RW/
Vendor:       Andy Polyakov
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL/Commercial
Version:      7.1
Release:      20080305

#   list of sources
Source0:      http://fy.chalmers.se/~appro/linux/DVD+RW/tools/dvd+rw-tools-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 2.2.0, gcc, m4
PreReq:       OpenPKG, openpkg >= 2.2.0, mkisofs
AutoReq:      no
AutoReqProv:  no

%description
    Collection of tools to master DVD+RW/+R/-R/-RW media, including
    'growisofs' which allows the easy appending of data to existing
    media.

%track
    prog dvdrw-tools = {
        version = %{version}
        url     = http://fy.chalmers.se/~appro/linux/DVD+RW/tools/
        regex   = dvd\+rw-tools-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n dvd+rw-tools-%{version}

%build
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/dvdrw-tools

    %{l_shtool} install -c -s -m 755 \
        growisofs dvd+rw-format dvd+rw-booktype \
        dvd+rw-mediainfo dvd-ram-control \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    #   documentation/examples
    %{l_shtool} install -c -m 644 \
        growisofs.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        index.html $RPM_BUILD_ROOT%{l_prefix}/share/dvdrw-tools/dvdrw-tools.html

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

